Skip to main content

Add webhook

POST 

/webhooks

Create a new webhook; once created, a webhook's id can be provided to an external service, allowing data to be sent, received, and processed via that webhook

Request​

Query Parameters

    siteId string

    Site Identifier

Body

required

    name stringrequired

    Name of webhook

    ttl string

    Webhook time to live (expiry in seconds)

    enabled string

    Is webhook enabled

    tags

    object[]

    List of document tags

  • Array [

  • key stringrequired

    Tag key

    value string

    Tag value

    values string[]

    Tag values

  • ]

Responses​

201 CREATED

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    webhookId string
    siteId string

    Site Identifier

Loading...